### Method

# Adw ClampLayoutset_tightening_threshold

#### Declaration [src]

    void
    adw_clamp_layout_set_tightening_threshold (
      AdwClampLayout* self,
      int tightening_threshold
    )

#### Description [src]

Sets the size above which the children are clamped.

Starting from this size, the layout will tighten its grip on the children, slowly allocating less and less of the available size up to the maximum allocated size. Below that threshold and below the maximum size, the children will be allocated all the available size.

If the threshold is greater than the maximum size to allocate to the children, they will be allocated the whole size up to the maximum. If the threshold is lower than the minimum size to allocate to the children, that size will be used as the tightening threshold.

Effectively, tightening the grip on a child before it reaches its maximum size makes transitions to and from the maximum size smoother when resizing.

Sets property | `Adw.ClampLayout:tightening-threshold`

#### Parameters

`tightening_threshold`

  Type: `int`

  The tightening threshold.